<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.AbnormalWaterConfigMapper">

    <resultMap id="abnormalWaterConfigMap" type="com.tofly.xrtygis.entity.AbnormalWaterConfig">
        <id property="id" column="ID"/>
        <result property="trendThreshold" column="TREND_THRESHOLD"/>
        <result property="userId" column="USER_ID"/>
        <result property="phone" column="PHONE"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="updateUser" column="UPDATE_USER"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <association property="userIdName" column="USER_ID"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="updateUserName" column="UPDATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
    </resultMap>


</mapper>
